# community services for woodbine.nyc

Experiment in digital autonomy

Hosted on https://git.woodbine.nyc/micro/woodbine.nyc

## running

To enable additional services, add their compose file to the following command

    podman compose --env-file env.production \
      --file base.yaml \
      --file services/web.yaml \
      up --build

## port forwarding

The caddy service expects to be able to bind to ports 80 and 443

One simple way is to allow unprivileged users access to these low ports

    echo 'net.ipv4.ip_unprivileged_port_start=80' | sudo tee -a /etc/sysctl.conf
    sudo sysctl -w net.ipv4.ip_unprivileged_port_start=80

## beta release

- [x] caddy for homepage
- [x] webdav for personal home pages
- [?] ~~zitadel~~ authelia single sign-on
- [x] mount caddy files from service compose files
- [ ] backup using duplicity uploaded to backblaze b2
- [ ] restore using duplicity downloaded from backblaze b2
- [ ] wiki
- [ ] dendrite matrix server
- [ ] gitea

## credits

thank you https://hackerspace.zone
